devguard
Actions

Get a list of paginated actions.

GET
/actions/

Authorization

Authorization
AuthorizationBearer <token>

In: header

Query Parameters

limit?number
Range5 <= value
Default100
page?number
Range1 <= value
Default1
organizationId*string
Length1 <= length
sortColumn?string
sortDirection?string

Value in

  • "asc"
  • "desc"
filterByName?string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/actions/?organizationId=string"
{  "items": [    {      "id": "string",      "shortId": -9007199254740991,      "name": "string",      "organizationId": "string",      "integrationCredentialId": "string",      "externalTicketConfiguration": null,      "scheduleId": "string",      "template": "string",      "status": "ACTIVE",      "createdAt": "string",      "updatedAt": "string",      "lastError": "string",      "lastErrorAt": "string",      "integrationCredential": {        "id": "string",        "organizationId": "string",        "type": "GITHUB",        "integrationSlug": "string",        "name": "string",        "configuration": null,        "encryptedCredentials": "string",        "status": "ACTIVE",        "createdAt": "string",        "updatedAt": "string",        "lastSyncAt": "string"      },      "schedule": {        "id": "string",        "slug": "string",        "name": "string",        "description": "string",        "createdAt": "string",        "updatedAt": "string",        "archivedAt": "string",        "organizationId": "string",        "ruleSet": "string"      },      "externalTickets": [        {          "id": "string",          "organizationId": "string",          "actionId": "string",          "sequenceNumber": -9007199254740991,          "externalId": "string",          "externalUrl": "string",          "title": "string",          "status": "OPEN",          "createdAt": "string",          "updatedAt": "string",          "externalCreatedAt": "string",          "externalUpdatedAt": "string",          "metadata": null        }      ]    }  ],  "total": 0,  "page": 0,  "limit": 0}

How is this guide?